%define name audacious-dumb
%define version 0.57
%define release %mkrel 2.bii.

Summary: MOD player plugin for Audacious based on DUMB
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.netswarm.net/misc/%name-%version.tar.gz
License: GPL
Group: Sound
Url: http://www.netswarm.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dumb-devel
BuildRequires: libaudacious-devel >= 5:1.4.0-0.beta1.3mdv2008.1
Requires: audacious >= 5:1.4.0-0.beta1.3mdv2008.1
Provides: beep-media-player-dumb
Obsoletes: beep-media-player-dumb

%description
This is a plugin for Audacious that can play IT/XM/S3M/MOD files.

%prep
%setup -q
%build
%make CC="gcc -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/audacious/Input
cp *.so %buildroot%_libdir/audacious/Input/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_libdir/audacious/Input/*.so




%changelog
* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 0.57-2mdv2008.1
+ Revision: 171209
- rebuild for new libmcs

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.57-1mdv2008.1
+ Revision: 159035
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.56-2mdv2008.1
+ Revision: 140206
- rebuild for new libmowgli

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 0.56-1mdv2008.1
+ Revision: 110199
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 0.55-2mdv2008.1
+ Revision: 102946
- rebuild for new audacious

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 0.55-1mdv2008.1
+ Revision: 98897
- new version
- bump deps

* Tue Jul 17 2007 Götz Waschk <waschk@mandriva.org> 0.42-1mdv2008.0
+ Revision: 52955
- new version


* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.24-3mdv2007.0
+ Revision: 125920
- rebuild

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 0.24-2mdv2007.1
+ Revision: 73728
- rebuild

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.24-1mdv2007.1
+ Revision: 64494
- Import audacious-dumb

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.24-1mdv2007.1
- New version 0.24

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new audacious

* Sat Jun 03 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- switch to the audacious port

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 0.1-3mdk
- rebuild for new audaciou

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.1-2mdk
- rebuild for new libaudacious
- use mkrel

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- rename from beep-media-player-dumb

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- initial package

